/// <reference types="node" />
import { Transform, TransformCallback } from "stream";
/**
 * Reads a set of XML or zip files and emits the contents downstream
 */
export declare class FileStream extends Transform {
    constructor();
    /**
     * Pop the next file off the list and emit it. If we've got no more files, close the stream
     */
    _transform(file: string, encoding: string, callback: TransformCallback): Promise<void>;
    private readFile;
    private readZip;
    private readInlineZip;
    private processZipFile;
    private streamToBuffer;
}
