import { GTFSFileStream } from "./GTFSFileStream";
import { TransXChange } from "../transxchange/TransXChange";
/**
 * Extract the agencies from the TransXChange objects
 */
export declare class AgencyStream extends GTFSFileStream<TransXChange> {
    private agenciesSeen;
    protected header: string;
    private readonly agencyUrl;
    private readonly agencyTimezone;
    private readonly agencyLang;
    protected transform(data: TransXChange): void;
}
