import { GTFSFileStream } from "./GTFSFileStream";
import { TransXChangeJourney } from "../transxchange/TransXChangeJourneyStream";
/**
 * Extract the calendars dates from the TransXChange journeys
 */
export declare class CalendarDatesStream extends GTFSFileStream<TransXChangeJourney> {
    private readonly datesSeen;
    private readonly dateFormatter;
    protected header: string;
    protected transform(journey: TransXChangeJourney): void;
    private pushDates;
}
