import { GTFSFileStream } from "./GTFSFileStream";
import { TransXChangeJourney } from "../transxchange/TransXChangeJourneyStream";
/**
 * Extract the calendars from the TransXChange journeys
 */
export declare class CalendarStream extends GTFSFileStream<TransXChangeJourney> {
    private readonly datesSeen;
    private readonly dateFormatter;
    protected header: string;
    protected transform(journey: TransXChangeJourney): void;
}
