import { GTFSFileStream } from "./GTFSFileStream";
import { TransXChange } from "../transxchange/TransXChange";
/**
 * Extract the routes from the TransXChange objects
 */
export declare class RoutesStream extends GTFSFileStream<TransXChange> {
    protected header: string;
    private routesSeen;
    private routeType;
    protected transform(data: TransXChange): void;
    private addRoute;
}
