"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Holiday = exports.Mode = exports.StopActivity = void 0;
/**
 * Types of Activity at a From/To location
 */
var StopActivity;
(function (StopActivity) {
    StopActivity["PickUp"] = "pickUp";
    StopActivity["PickUpAndSetDown"] = "pickUpAndSetDown";
    StopActivity["SetDown"] = "setDown";
    StopActivity["Pass"] = "pass";
})(StopActivity = exports.StopActivity || (exports.StopActivity = {}));
/**
 * Transport mode
 */
var Mode;
(function (Mode) {
    Mode["Air"] = "air";
    Mode["Bus"] = "bus";
    Mode["Coach"] = "coach";
    Mode["Underground"] = "underground";
    Mode["Ferry"] = "ferry";
    Mode["Train"] = "train";
    Mode["Tram"] = "tram";
})(Mode = exports.Mode || (exports.Mode = {}));
/**
 * Another touch of TransXChange genius.
 */
var Holiday;
(function (Holiday) {
    Holiday["ChristmasEve"] = "ChristmasEve";
    Holiday["ChristmasDay"] = "ChristmasDay";
    Holiday["BoxingDay"] = "BoxingDay";
    Holiday["NewYearsEve"] = "NewYearsEve";
    Holiday["NewYearsDay"] = "NewYearsDay";
    Holiday["Jan2ndScotland"] = "Jan2ndScotland";
    Holiday["ChristmasDayHoliday"] = "ChristmasDayHoliday";
    Holiday["BoxingDayHoliday"] = "BoxingDayHoliday";
    Holiday["NewYearsDayHoliday"] = "NewYearsDayHoliday";
    Holiday["Jan2ndHoliday"] = "Jan2ndHoliday";
    Holiday["LateSummerBankHolidayNotScotland"] = "LateSummerBankHolidayNotScotland";
    Holiday["MayDay"] = "MayDay";
    Holiday["EasterMonday"] = "EasterMonday";
    Holiday["SpringBank"] = "SpringBank";
    Holiday["AugustBankHolidayScotland"] = "AugustBankHolidayScotland";
    Holiday["GoodFriday"] = "GoodFriday";
    Holiday["AllBankHolidays"] = "AllBankHolidays";
})(Holiday = exports.Holiday || (exports.Holiday = {}));
