import { ParseXML } from "./xml/XMLStream";
import { Converter } from "./converter/Converter";
import { NaPTANIndex, StopLocationIndex } from "./reference/NaPTAN";
/**
 * Dependency container
 */
export declare class Container {
    static readonly TMP = "/tmp/transxchange2gtfs/";
    getConverter(refresh: boolean, skipStops: boolean): Promise<Converter>;
    getNaPTANIndexes(): Promise<[NaPTANIndex, StopLocationIndex]>;
    getParseXML(): ParseXML;
    private getBankHolidays;
}
