import { TransXChange } from "../transxchange/TransXChange";
import { NaPTANIndex } from "../reference/NaPTAN";
import { GTFSFileStream } from "./GTFSFileStream";
export declare class StopsStream extends GTFSFileStream<TransXChange> {
    private readonly naptan;
    protected header: string;
    private static readonly STREET_BLACKLIST;
    private readonly seenStops;
    constructor(naptan: NaPTANIndex);
    protected transform(data: TransXChange): void;
    private getStop;
    private getNaPTANStop;
    private getFeedStop;
    /**
     * If the name is not the same as the street name and does not contain any words like Road or Street we can safely
     * add the street name to the name.
     */
    private shouldAddStreet;
}
